#export PATH=`pwd`/venv/bin/:$PATH
#export PERL5LIB=`pwd`/venv/lib/perl5

export IS_SHEET_MUSIC_ENCORE_HOME=`pwd`

echo "Setting:"
echo "  IS_SHEET_MUSIC_ENCORE_HOME=$IS_SHEET_MUSIC_ENCORE_HOME"

if [ ! -d "$IS_SHEET_MUSIC_ENCORE_HOME/perl-relocatable" ] ; then
    echo "Installing a relocatable perl in user-space"
    curl -sSL https://git.io/perl-install | bash -s "$IS_SHEET_MUSIC_ENCORE_HOME/perl-relocatable"
fi

export PATH="$IS_SHEET_MUSIC_ENCORE_HOME/perl-relocatable/bin/:$PATH"
echo "  PATH to include 'perl-relocatable'/bin"


if [ -d "$IS_SHEET_MUSIC_ENCORE_HOME/openssl" ] ; then
    export CFLAGS="-I$IS_SHEET_MUSIC_ENCORE_HOME/openssl/include"
    export CXXFLAGS="-I$IS_SHEET_MUSIC_ENCORE_HOME/openssl/include"
    export LDFLAGS="-L$IS_SHEET_MUSIC_ENCORE_HOME/openssl/lib"
    
    export LD_LIBRARY_PATH="$IS_SHEET_MUSIC_ENCORE_HOME/openssl/lib"
    
    echo "  CFLAGS, CXXFLAGS, LDFLAGS, LD_LIBRARY_PATH"
fi

#echo "Set:"
#echo "  PERL5LIB"
# echo "Updated PATH"
#else
#echo "Failed to find 'perl-relocatable' directory 1>&2"
#fi

# perl Makefile.PL PREFIX=/home/davidb/research/code/is-sheet-music2/venv/ LDDLFLAGS="$LDFLAGS -shared -L/usr/local/lib -fstack-protector-strong"


# CONFIG_ARGS=$( cat <<_EOF_ | tr '\n' ' ' INC=-I/usr/local/opt/openssl/include LDDLFLAGS="-bundle -undefined dynamic_lookup -fstack-protector-strong -L/usr/local/opt/openssl/lib" LD="env MACOSX_DEPLOYMENT_TARGET=10.11 cc" LDFLAGS="-fstack-protector-strong -L/usr/local/opt/openssl/lib" _EOF_ ) cpanm Net::SSLeay --configure-args "$CONFIG_ARGS" --interactive --verbose 


